ACK: [PATCH 0/3][T] CVE-2017-0794 - Privilege escalation in the SCSI driver

Stefan Bader stefan.bader at canonical.com
Mon Oct 1 07:57:16 UTC 2018


On 28.09.2018 23:29, Tyler Hicks wrote:
> https://people.canonical.com/~ubuntu-security/cve/2017/CVE-2017-0794.html
> 
>   A elevation of privilege vulnerability in the Upstream kernel scsi driver.
> 
> I've manually tested these patches using the Android reproducer[1] and
> sg_dd from sg3-utils inside of a VM with a SCSI drive attached.
> 
> Note, this is a corrected patch set from when I used the wrong CVE ID[2] when
> referring to this patch set. I've adjusted the CVE ID used in the commit
> messages and tested with the correct reproducer for CVE-2017-0794.
> 
> [1] https://android.googlesource.com/platform/cts/+/0e7c60f79a319b4a4a3c5eee977ad912524da435/hostsidetests/security/securityPatch/Bug-35644812/poc.c
> [2] https://lists.ubuntu.com/archives/kernel-team/2018-September/095470.html
> 
> Tyler
> 
> 
> 

Same patches before but ammended CVE number.

Acked-by: Stefan Bader <stefan.bader at canonical.com>

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 819 bytes
Desc: OpenPGP digital signature
URL: <https://lists.ubuntu.com/archives/kernel-team/attachments/20181001/4546fd62/attachment.sig>


More information about the kernel-team mailing list